Package org.eclipse.help

## Interface IIndexContribution

    public interface IIndexContribution

Represents either a complete or partial keyword index, as well as its metadata.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Returns a unique identifier for this contribution.
`IIndex` `getIndex()` Returns this contributions index.
`String` `getLocale()` Returns the locale for this contribution.

### Method Detail

#### getId

    String getId()

Returns a unique identifier for this contribution.

Returns:
  the contribution's unique identifier

#### getIndex

    IIndex getIndex()

Returns this contributions index.

Returns:
  the index data for this contribution

#### getLocale

    String getLocale()

Returns the locale for this contribution.

Returns:
  the contribution's locale